Home
last modified time | relevance | path

Searched full:success (Results 1 – 25 of 4715) sorted by relevance

12345678910>>...189

/openbmc/linux/drivers/virt/acrn/
H A Dhypercall.h56 * Return: 0 on success, <0 on failure
67 * Return: 0 on success, <0 on failure
78 * Return: 0 on success, <0 on failure
89 * Return: 0 on success, <0 on failure
100 * Return: 0 on success, <0 on failure
111 * Return: 0 on success, <0 on failure
123 * Return: 0 on success, <0 on failure
135 * Return: 0 on success, <0 on failure
147 * Return: 0 on success, <0 on failure
159 * Return: 0 on success, <0 on failure
[all …]
/openbmc/linux/security/apparmor/
H A Dpolicy_unpack_test.c327 bool success; in policy_unpack_test_unpack_nameX_with_null_name() local
331 success = aa_unpack_nameX(puf->e, AA_U32, NULL); in policy_unpack_test_unpack_nameX_with_null_name()
333 KUNIT_EXPECT_TRUE(test, success); in policy_unpack_test_unpack_nameX_with_null_name()
341 bool success; in policy_unpack_test_unpack_nameX_with_wrong_code() local
345 success = aa_unpack_nameX(puf->e, AA_BLOB, NULL); in policy_unpack_test_unpack_nameX_with_wrong_code()
347 KUNIT_EXPECT_FALSE(test, success); in policy_unpack_test_unpack_nameX_with_wrong_code()
356 bool success; in policy_unpack_test_unpack_nameX_with_name() local
360 success = aa_unpack_nameX(puf->e, AA_U32, name); in policy_unpack_test_unpack_nameX_with_name()
362 KUNIT_EXPECT_TRUE(test, success); in policy_unpack_test_unpack_nameX_with_name()
371 bool success; in policy_unpack_test_unpack_nameX_with_wrong_name() local
[all …]
/openbmc/linux/include/uapi/linux/dvb/
H A Dosd.h22 * returns 0 on success
27 * returns 0 on success, -1 on DRAM allocation error, -2 on "already open"
32 * returns 0 on success
37 * returns 0 on success
42 * returns 0 on success
47 * returns 0 on success
57 * returns 0 on success, -1 on error
69 * returns 0 on success
74 * returns 0 on success, -1 on error
81 * returns 0 on success, -1 on clipping all pixel (no pixel drawn)
[all …]
/openbmc/linux/scripts/
H A DKconfig.include14 # $(if-success,<command>,<then>,<else>)
16 if-success = $(shell,{ $(1); } >/dev/null 2>&1 && echo "$(2)" || echo "$(3)")
18 # $(success,<command>)
20 success = $(if-success,$(1),y,n)
24 failure = $(if-success,$(1),n,y)
28 cc-option = $(success,trap "rm -rf .tmp_$$" EXIT; mkdir .tmp_$$; $(CC) -Werror $(CLANG_FLAGS) $(1) …
32 ld-option = $(success,$(LD) -v $(1))
36 as-instr = $(success,printf "%b\n" "$(1)" | $(CC) $(CLANG_FLAGS) $(2) -Wa$(comma)--fatal-warnings -…
45 $(error-if,$(success,test -z "$(cc-info)"),Sorry$(comma) this C compiler is not supported.)
51 $(error-if,$(success,test -z "$(as-info)"),Sorry$(comma) this assembler is not supported.)
[all …]
/openbmc/linux/tools/perf/tests/shell/lib/
H A Dstat_output.sh16 echo "[Success]"
29 echo "[Success]"
42 echo "[Success]"
50 echo "[Success]"
58 echo "[Success]"
71 echo "[Success]"
84 echo "[Success]"
97 echo "[Success]"
110 echo "[Success]"
123 echo "[Success]"
[all …]
/openbmc/phosphor-ipmi-flash/bmc/firmware-handler/test/
H A Dfirmware_state_updatecompleted_unittest.cpp5 * This can be reached with success or failure from an update, and is reached
51 getToUpdateCompleted(ActionStatus::success); in TEST_F()
66 getToUpdateCompleted(ActionStatus::success); in TEST_F()
73 static_cast<std::uint8_t>(ActionStatus::success)); in TEST_F()
102 getToUpdateCompleted(ActionStatus::success); in TEST_F()
112 getToUpdateCompleted(ActionStatus::success); in TEST_F()
122 getToUpdateCompleted(ActionStatus::success); in TEST_F()
140 getToUpdateCompleted(ActionStatus::success); in TEST_F()
150 getToUpdateCompleted(ActionStatus::success); in TEST_F()
161 getToUpdateCompleted(ActionStatus::success); in TEST_F()
[all …]
H A Dfirmware_state_verificationcompleted_unittest.cpp57 getToVerificationCompleted(ActionStatus::success); in TEST_F()
75 getToVerificationCompleted(ActionStatus::success); in TEST_F()
91 getToVerificationCompleted(ActionStatus::success); in TEST_F()
104 getToVerificationCompleted(ActionStatus::success); in TEST_F()
117 getToVerificationCompleted(ActionStatus::success); in TEST_F()
130 getToVerificationCompleted(ActionStatus::success); in TEST_F()
140 getToVerificationCompleted(ActionStatus::success); in TEST_F()
163 getToVerificationCompleted(ActionStatus::success); in TEST_F()
170 static_cast<std::uint8_t>(ActionStatus::success)); in TEST_F()
200 getToVerificationCompleted(ActionStatus::success); in TEST_F()
[all …]
/openbmc/linux/arch/sparc/prom/
H A Dranges.c68 int success; in prom_ranges_init() local
77 success = prom_getproperty(obio_node, "ranges", in prom_ranges_init()
80 if (success != -1) in prom_ranges_init()
81 num_obio_ranges = (success / sizeof(struct linux_prom_ranges)); in prom_ranges_init()
91 int success; in prom_apply_generic_ranges() local
95 success = prom_getproperty(node, "ranges", in prom_apply_generic_ranges()
98 if (success != -1) { in prom_apply_generic_ranges()
99 num_ranges = (success / sizeof(struct linux_prom_ranges)); in prom_apply_generic_ranges()
104 success = prom_getproperty(parent, "ranges", in prom_apply_generic_ranges()
107 if (success != -1) { in prom_apply_generic_ranges()
[all …]
/openbmc/qemu/subprojects/libvduse/
H A Dlibvduse.h65 * Returns: a pointer to VDUSE device on success, NULL on failure.
75 * Returns: file descriptor on success, -1 on failure.
86 * Returns: a pointer to a structure containing VduseVirtqElement on success,
115 * Returns: private pointer on success, NULL on failure.
126 * Returns: a pointer to the virtqueue on success, NULL on failure.
136 * Returns: file descriptor on success, -1 on failure.
146 * Returns: file descriptor on success, -errno on failure.
159 * Returns: 0 on success, -errno on failure.
172 * Returns: 0 on success, -errno on failure.
184 * Returns: 0 on success, -errno on failure.
[all …]
/openbmc/linux/tools/testing/selftests/bpf/prog_tests/
H A Dobj_name.c8 int success; in test_obj_name() member
40 CHECK((tests[i].success && fd < 0) || in test_obj_name()
41 (!tests[i].success && fd >= 0) || in test_obj_name()
42 (!tests[i].success && errno != tests[i].expected_errno), in test_obj_name()
45 fd, tests[i].success, errno, tests[i].expected_errno); in test_obj_name()
61 CHECK((tests[i].success && fd < 0) || in test_obj_name()
62 (!tests[i].success && fd >= 0) || in test_obj_name()
63 (!tests[i].success && errno != tests[i].expected_errno), in test_obj_name()
66 fd, tests[i].success, errno, tests[i].expected_errno); in test_obj_name()
/openbmc/linux/arch/m68k/ifpsp060/
H A Dos.S84 | d1 - 0 = success, !0 = failure
94 clr.l %d1 | return success
101 clr.l %d1 | return success
115 | d1 - 0 = success, !0 = failure
127 clr.l %d1 | return success
134 clr.l %d1 | return success
147 | d1 - 0 = success, !0 = failure
152 clr.l %d1 | assume success
170 | d1 - 0 = success, !0 = failure
181 | d1 - 0 = success, !0 = failure
[all …]
/openbmc/linux/drivers/firmware/xilinx/
H A Dzynqmp.c130 * Return: Returns status, either success or error+reason
160 * Return: Returns status, either success or error+reason
236 * Return: Returns status, either success or error+reason
256 * Return: Returns status, either success or error+reason
317 * Return: Returns status, either success or error+reason
364 * Return: Returns status, either success or error+reason
415 * Return: Returns status, either success or error+reason
447 * Return: Returns status, either success or error+reason
475 * Return: Returns 0 on success or error code
504 * Return: Returns status, either success or error+reason
[all …]
/openbmc/linux/tools/testing/selftests/drivers/net/mlxsw/
H A Dtc_restrictions.sh57 check_fail $? "Incorrect success to create another clsact with egress shared block"
66 check_fail $? "Incorrect success to add drop rule to mixed bound block"
106 check_fail $? "Incorrect success to create another clsact with egress shared block"
116 check_fail $? "Incorrect success to add redirect rule to mixed bound block"
126 check_fail $? "Incorrect success to add redirect rule to egress bound shared block"
133 check_fail $? "Incorrect success to add redirect rule to egress bound block"
160 check_fail $? "Incorrect success to add rule with two mirror actions"
185 check_fail $? "Incorrect success to add rule with sample action on egress"
215 check_fail $? "Incorrect success to add matchall rule behind a flower rule"
230 check_fail $? "Incorrect success to add flower rule in front of a matchall rule"
[all …]
/openbmc/phosphor-host-ipmid/user_channel/
H A Duser_layer.hpp83 * @return ccSuccess for success, others for failure.
100 * @return 0 on success, non-zero otherwise.
110 * @return 0 on success, non-zero otherwise.
150 * @return ccSuccess for success, others for failure.
159 * @return ccSuccess for success, others for failure.
168 * @return ccSuccess for success, others for failure.
178 * @return ccSuccess for success, others for failure.
188 * @return ccSuccess for success, others for failure.
198 * @return ccSuccess for success, others for failure.
207 * @return ccSuccess for success, others for failure.
[all …]
H A Dchannel_mgmt.hpp152 * @return ccSuccess for success, others for failure.
161 * @return ccSuccess for success, others for failure.
171 * @return ccSuccess for success, others for failure.
182 * @return ccSuccess for success, others for failure.
193 * @return ccSuccess for success, others for failure.
204 * @return ccSuccess for success, others for failure.
215 * @return ccSuccess for success, others for failure.
230 * @return 0 for success, -errno for failure.
236 * @return 0 for success, -errno for failure.
276 * @return 0 for success, -errno for failure.
[all …]
/openbmc/linux/tools/perf/tests/shell/
H A Dstat+json_output.sh51 echo "[Success]"
64 echo "[Success]"
77 echo "[Success]"
85 echo "[Success]"
94 echo "[Success]"
107 echo "[Success]"
120 echo "[Success]"
132 echo "[Success]"
145 echo "[Success]"
158 echo "[Success]"
[all …]
/openbmc/linux/include/linux/qed/
H A Dqed_iscsi_if.h136 * @return 0 on success, otherwise error value.
144 * return 0 on success, otherwise error value.
147 * return 0 on success, otherwise error value.
155 * @return 0 on success, otherwise error value.
159 * @return 0 on success, otherwise error value.
165 * @return 0 on success, otherwise error value.
171 * @return 0 on success, otherwise error value.
175 * @return 0 on success, otherwise error value.
179 * @return 0 on success, otherwise error value.
184 * @return 0 on success, error otherwise.
[all …]
/openbmc/linux/security/tomoyo/
H A Dtomoyo.c89 * Returns 0 on success, negative value otherwise.
118 * Returns 0 on success, negative value otherwise.
130 * Returns 0 on success, negative value otherwise.
142 * Returns 0 on success, negative value otherwise.
155 * Returns 0 on success, negative value otherwise.
171 * Returns 0 on success, negative value otherwise.
188 * Returns 0 on success, negative value otherwise.
204 * Returns 0 on success, negative value otherwise.
222 * Returns 0 on success, negative value otherwise.
261 * Returns 0 on success, negative value otherwise.
[all …]
/openbmc/linux/include/trace/events/
H A Dmmap_lock.h55 bool success),
57 TP_ARGS(mm, memcg_path, write, success),
63 __field(bool, success)
70 __entry->success = success;
74 "mm=%p memcg_path=%s write=%s success=%s",
78 __entry->success ? "true" : "false"
/openbmc/linux/include/uapi/linux/
H A Dfpga-dfl.h64 * Return: 0 on success, -errno of failure
75 * Return: 0 on success, -errno on failure.
95 * Return: 0 on success, -errno on failure.
124 * Return: 0 on success, -errno on failure.
143 * Return: 0 on success, -errno on failure.
173 * Return: 0 on success, -errno on failure.
184 * Return: 0 on success, -errno on failure.
196 * Return: 0 on success, -errno on failure.
207 * Return: 0 on success, -errno on failure.
221 * Return: 0 on success, -errno on failure.
[all …]
/openbmc/linux/Documentation/virt/kvm/x86/
H A Damd-memory-encryption.rst78 On output, ``error`` is zero on success, or an error code. Error codes
95 Returns: 0 on success, -negative on error
106 Returns: 0 on success, -negative on error
121 On success, the 'handle' field contains a new handle and on error, a negative value.
137 Returns: 0 on success, -negative on error
163 Returns: 0 on success, -negative on error
180 Returns: 0 on success, -negative on error
190 Returns: 0 on success, -negative on error
221 Returns: 0 on success, -negative on error
241 Returns: 0 on success, -negative on error
[all …]
/openbmc/openbmc/meta-phosphor/recipes-extended/pam/libpam/pam.d/
H A Dcommon-password16 password [success=ok default=die] pam_pwquality.so debug
17 password [success=ok default=die] pam_ipmicheck.so spec_grp_name=ipmi use_authtok
18 password [success=ok ignore=ignore default=die] pam_pwhistory.so debug use_authtok
19 password [success=ok default=die] pam_unix.so sha512 use_authtok
20 password [success=1 default=die] pam_ipmisave.so spec_grp_name=ipmi spec_pass_file=/etc/ipmi_pass …
24 # this avoids us returning an error just because nothing sets a success code
/openbmc/linux/drivers/net/ethernet/amazon/ena/
H A Dena_com.h375 * @return - 0 on success, negative value on failure.
404 * @return - 0 on success, negative value on failure.
422 * @return - 0 on success, negative value on failure.
433 * @return - 0 on success, negative value on failure.
450 * @return - 0 on success, negative value on failure.
540 * @return - 0 on success negative value otherwise.
551 * @return - 0 on Success negative value otherwise.
562 * @return: > 0 on Success and negative value otherwise.
572 * @return: 0 on Success and negative value otherwise.
580 * @return: 0 on Success and negative value otherwise.
[all …]
/openbmc/linux/include/linux/soc/mediatek/
H A Dmtk-cmdq.h39 * Return: 0 for success; else the error code is returned
84 * Return: 0 for success; else the error code is returned
96 * Return: 0 for success; else the error code is returned
108 * Return: 0 for success; else the error code is returned
120 * Return: 0 for success; else the error code is returned
138 * Return: 0 for success; else the error code is returned
156 * Return: 0 for success; else the error code is returned
171 * Return: 0 for success; else the error code is returned
182 * Return: 0 for success; else the error code is returned
191 * Return: 0 for success; else the error code is returned
[all …]
/openbmc/libpldm/include/libpldm/
H A Dinstance-id.h21 * database object on success.
24 * @return int - Returns 0 on success. Returns -EINVAL if ctx is NULL or *ctx
35 * success.
37 * @return int - Returns 0 on success. Returns -EINVAL if ctx is NULL or *ctx
48 * @return int - Returns 0 on success or if *ctx is NULL. No specific errors are
60 * success, this points to an instance ID to use for a PLDM request
63 * @return int - Returns 0 on success if we were able to allocate an instance
79 * @return int - Returns 0 on success. Returns -EINVAL if the iid supplied was

12345678910>>...189